body, html {
    margin: 0px;
    padding: 0px;
    height: 100%;
    font-family: Roboto;
}

body {
    background: #2F5168;
    overflow: hidden;
}

#canvas-container {
    height: 100%;
    width: 100%;
    display: flex;
    position: absolute;
    left: 0px;
    top: 0px;
    overflow: hidden;
}

#menu-container {
    position: absolute;
    width: 494px;
    top: calc(50% + 190px);
    left: calc(50% - 247px);
    opacity: 0;
    display: none;
}

.menu {
    justify-content: space-between;
    display: flex;
    width:100%;
}

#menu-container a{
    text-decoration: none;
    display: block;
    width: 94px;
    padding-top: 101px;
    padding-bottom: 4px;
    box-sizing: unset;
    text-align: center;
    font-size: 22px;
    color: rgba(255,255,255,0.1);
    position: relative;
    transition: color 0.3s ease-out;
    cursor: pointer;
}

#menu-container a:nth-child(1):hover {
    color: rgba(224, 72, 54,0.9);
    text-shadow: 0px 0px 2px rgba(224, 72, 54,0.5);
}

#menu-container a:nth-child(2):hover {
    color: rgba(86, 150, 188,0.9);
    text-shadow: 0px 0px 2px rgba(86, 150, 188,0.5);
    
}

#menu-container a:nth-child(3):hover {
    color: rgba(243, 157, 65,0.9);
    text-shadow: 0px 0px 2px rgba(243, 157, 65,0.5);
}

#github-banner {
    position: absolute;
    right: 50px;
    top: 50px;
    display: none;
    opacity: 0;
}

.github-banner-link {
    font-weight: 300;
    color: white;
    text-shadow: 1px 1px 1px rgba(0,0,0,0.3);
    padding: 8px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    cursor: pointer;
    text-decoration: none;
    opacity: 0.5;
    transition: opacity 0.2s ease-out;    
}

.github-banner-link::before {
    display: block;
    position: absolute;
    right: 45px;
    top: 5px;
    content: "Like what you see?\A Fork me on GitHub";
    width:150px;
    transform: translateX(0px);
    opacity: 0;
    transition: transform 0.2s ease-out, opacity 0.2s ease-out;
    pointer-events: none;
}

.github-banner-link svg{
    fill: white;
}

.github-banner-link:hover, #github-banner.visible .github-banner-link {
    opacity: 1;
}

.github-banner-link:hover::before, #github-banner.visible .github-banner-link::before {
    transform: translateX(+10px);
    opacity: 0.8;
}

#pages-container {
    position: absolute;
    height: 100%;
    width: 100%;
    top:100%;
    left: 0px;
}

#pages-container > div {
    position: absolute;
    height: 100%;
    width: 100%;
    top: 0px;
    transform: translateY(0);
    transition: transform 0.3s ease-in-out ;
    user-select: none;
}

#pages-container > div.visible {
    transform: translateY(-100%);
    user-select: initial;
}

#code-page {
    background: #222;
}

#about-page {
    background: #5696BC;
}

#contact-page {
    background: #F39D41;
}

#page-close {
    position: absolute;
    right: 50px;
    height: 32px;
    width: 32px;
    text-decoration: none;
    opacity: 0;
    display: block;
    transition: opacity 0.3s ease-out;
    cursor: pointer;
}

#page-close.visible {
    opacity:0.6;
    top: calc(50px - 100%);
}

#page-close:hover {
    opacity: 1;
}

#page-close svg {
    fill:white;
}

#page-close.black svg {
    fill:black;
}

#contact-page a {
    text-decoration: none;
    display: inline-block;
    margin:5px;
    transform:scale(0.8,0.8);
    opacity: 0.8;
    transition: transform 0.2s ease, opacity 0.2s ease;
    cursor: pointer;
}

#contact-page a:hover {
    opacity: 1;
    transform: scale(1,1);
}

#contact-page span {
    color: white;
    font-size: 24px;
    padding-bottom: 40px;
    cursor: default;
    user-select: none;
}

#contact-page > div {
    height: 100%;
    box-sizing: border-box;
    padding-bottom: 68px;
}

#about-page > div, #code-page > div {
    height: 100%;
}

#contact-page > div, #contact-page > div > div, #code-page > div, #code-page > div > div, #about-page > div, #about-page > div > div {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-around;
}

#about-page > div > div > div {
    display: inline-block;
    height: 300px;
    width: 300px;
    border-radius: 1000px;
    background: url(../images/self.jpg);
    background-size: 478px;
    background-position: -75px -21px;
    border: 3px solid white;
}

#about-page p {
    width:750px;
    display:inline-block;
    font-weight:300;
    font-size:16px;
    color:#fff;
    text-align:justify;
    margin-top:30px;
    text-shadow: 1px 1px 1px rgba(0,0,0,0.2);
}

#about-page span {
    font-weight: 400;
    font-size: 18px;
    padding-bottom: 6px;
    display: block;
}

#about-page a {
    color: white;
    text-shadow: 1px 1px 1px rgba(0,0,0,0.3);
    text-decoration: underline;
    position: relative;
}

#about-page .location::after {
    content: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAwAAAAMCAYAAABWdVznAAAAh0lEQVQoz4WQsQnAIBBFb4IMYpEiM2SALGftBClSp3SWlBYpUlio+QcXkHDqhwdy/x4cElXJORtwgEfgtyEtKGZwl194xp0mnLKQgBOSzE5NiFK6auZkFjUhdISgCXvnpF0T1tIId62f8sqyp1ZQLt8Z1XkL9YIFWwmWRsHSBC5hGgoibYzWvZnyDhbnpZXlAAAAAElFTkSuQmCC');
    margin-left:4px;
}

#about-page .location > label {    
    top: -25px;
    left: 12px;
}

#about-page .resume > label {
    background: no-repeat #fff;
    background-size: 50px 65px;
    height: 26px;
    width: 24px;
    left: 1px;
    top: -38px;
    padding-top: 5px;
}

#about-page .resume svg {
    fill: #333;    
}

#about-page a > label {
    text-shadow: none;
    padding: 3px;
    border-radius: 4px;
    position: absolute;
    background: white;
    width: 105px;
    color: #222;
    font-size: 13px;
    opacity: 0;
    pointer-events: none;
    transform: translateY(+10px);
    transition: opacity 0.1s linear, transform 0.3s cubic-bezier(0,1.49,.82,1.32);
    transition-delay: 0.3s;
}

#about-page a:hover > label, #about-page a:active > label  {
    transform: translateY(0);
    opacity: 1;
}

#about-page a > label::after {
    content: " ";
    width: 0; 
    height: 0; 
    border-left: 4px solid transparent;
    border-right: 4px solid transparent;
    border-top: 4px solid #fff;
    position: absolute;
    bottom: -4px;
    left: calc(50% - 4px);

}

@keyframes rotate {
    from {
        transform: rotate(0deg);
    }
    to {
        transform: rotate(-360deg);
    }
}

#code-page .contrib-stats {
    transform: scale(0.75);
    height: 106px;
    transform-origin: top left;
}

#code-page .language-stats {
    height: 250px;
    transform: scale(0.85);
    transform-origin: top left;
}

#code-page .language-stats rect, #code-page .language-stats text {
    display: none;
}


#code-page .language-stats rect:nth-child(-n+10), #code-page .language-stats text:nth-child(-n+10) {
    display: initial !important;
}

#code-page .code-page-container {
    height: 100%;
    width: 100%;
    flex-direction: initial;
}

#code-page .left-pane {
    width: 360px;
    color: white;
    font-weight: 300;
    display: flex;
    align-items: center;
}

#code-page .right-pane-container .github-link {
    position: absolute;
    left: 0;
    top: 0;
}

#code-page .right-pane-container .loading-svg {
    height: 40px;
    width: 40px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    display: none;
}

#code-page .right-pane-container .loading-svg svg{
    fill: #222;
    animation: rotate 1s linear 0s infinite;
    height: 100%;
    width: 100%;
}

#code-page .right-pane-container {
    border-left: 1px solid #666;
    height: 100%;
    flex-grow: 1;
    overflow-y: scroll;
    background: #eee;
    box-sizing: border-box;
    align-items: center;
    position: relative;
}

#code-page .right-pane.type-content, #code-page .right-pane.type-home {
    width: 800px;
    margin: 0 auto;
    padding: 80px 40px 80px 40px;
}

#code-page .right-pane.type-frame {
    height: 100%;
}

#code-page .right-pane.type-frame iframe {
    height: 100%;
    width: 100%;
    border: 0;
}

/* #code-page > div > div > div:nth-child(2) > div {
    opacity: 1;
    transition: opacity 0.3s ease-out;
}

#code-page > div > div > div:nth-child(1):hover + div > div {
    opacity: 0.2;
} */

#code-page .left-pane ul {
    list-style: none;
    padding: 0px;
    width: 100%;
    display: block;
}

#code-page .left-pane li {
    background: rgba(255,255,255,0);
    transition: background 0.2s ease-out;
    text-align: right;
    position: relative;
}

#code-page .left-pane .project-link {
    padding: 12px 16px 12px 12px;
    color: white;
    text-decoration: none;
    display: block;
    box-sizing: border-box;
    height: 100%;
    width: 100%;
    transition: opacity 0.3s ease-out;
    opacity: 0.8;
}


#code-page .left-pane li:hover {
    background: rgba(255,255,255,0.05);    
}

#code-page .left-pane li:hover .project-link{
    opacity: 1;
}

#code-page .left-pane li:hover .project-link label{
    opacity: 0.8;
}

#code-page .left-pane li.selected {
    font-weight: 400;
    background: rgba(255,255,255,0.05);
}

#code-page .left-pane li.selected .project-link {
    opacity: 1;
}


#code-page .left-pane li.selected .project-link label {
    opacity: 0.8;
}

#code-page .left-pane .project-link span {
    position: relative;
}

#code-page .left-pane .project-link label {
    display: block;
    position: absolute;
    left: -59px;
    font-size: 12px;
    pointer-events: none;
    top: 1px;
    color: white;
    opacity: 0.5;
    font-weight: bold;
    border-right: 1px solid #fff;
    transition: opacity 0.3s ease-out;
    padding: 2px 10px;
}

#code-page .heading {
    font-size: 24px;
}

#code-page .left-pane a {
    color:white;
}

#code-page .left-pane p {
    font-weight: 300;
}

#code-page .left-pane a.github {
    text-decoration: none;
    position: absolute;
    top: -4px;
    right: -7px;
    transition: right 0.3s ease-out, top 0.3s ease-out;
}


#code-page .left-pane a svg {
    transition: transform 0.2s ease-out, opacity 0.2s ease-out;
    height:35px;
    width:35px;
    transform: scale(0.75);
    fill: white;
    cursor: pointer;
    display:block;
    opacity: 0.7;
}

#code-page .left-pane a.github:hover svg {
    transform: scale(1);
    opacity: 1;
}

#code-page .left-pane .hidden {
    display: none;
}